Bug 536017 - (RHQ-411) "Required" error message on group definition change is unreadable
"Required" error message on group definition change is unreadable
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-05-01 16:17 EDT by Jason Dobies
Modified: 2014-11-09 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error.png (57.40 KB, image/png)
2008-05-01 16:17 EDT, Jason Dobies
no flags Details

  None (edit)
Description Jason Dobies 2008-05-01 16:17:00 EDT
To reproduce:
- Create a resource group definition
- Click Edit
- Delete the definition name
- Click OK

The error message telling the user that the name is required is squished on the side of the screen. See attached screen shot.
Comment 1 Heiko W. Rupp 2008-06-11 03:42:39 EDT
Actually the "name" field should be read-only at that point, as it was already set before.
Comment 2 Heiko W. Rupp 2008-06-11 03:58:50 EDT
Issue is most likely provoked by 3 columns having :

.general-props-cell {
   width: 50%;


But even when this is fixed, an error message of "For property "j_id32:name", a value is required" is not acceptable.
Comment 3 Joseph Marques 2008-07-02 06:47:41 EDT
low-hanging fruit, should take me < 30 mins to fix, so setting for 1.1
Comment 4 Joseph Marques 2008-08-11 15:06:15 EDT
rev1219 - instead of using field level validation, let the backing UIBean handle the validation by injecting global-level errors into the faces context; 
update the GroupDefinitionManager to perform all non-null and max-length validating rules for new and edited group definitions, throwing exceptions to the UI layer as appropriate; 
update the facelets template for group definitions (/rhq/definition/layout/main.xhtml) to display these global errors on all pages that extend it; 
Comment 5 Jeff Weiss 2008-08-20 15:59:50 EDT
rev1250, error message is now displayed correctly.
Comment 6 Red Hat Bugzilla 2009-11-10 16:08:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-411
Imported an attachment (id=368824)
This bug is duplicated by RHQ-801

Note You need to log in before you can comment on or make changes to this bug.